Gecode::Int::Sorted::SccComponent Class Reference

Representation of a strongly connected component. More...

`#include <sortsup.hpp>`

## Public Attributes

int | leftmost
| Leftmost y-node in a scc.
int | left
| Direct left neighbour of an y-node in a scc.
int | right
| Direct right neighbour of an y-node in a scc.
int | rightmost
| Rightmost reachable y-node in a scc.

## Detailed Description

Representation of a strongly connected component.

Used with the implicit array representation of the bipartite oriented intersection graph.

Definition at line 53 of file sortsup.hpp.

## Member Data Documentation

## leftmost

int Gecode::Int::Sorted::SccComponent::leftmost

Leftmost y-node in a scc.

Definition at line 56 of file sortsup.hpp.

## left

int Gecode::Int::Sorted::SccComponent::left

Direct left neighbour of an y-node in a scc.

Definition at line 58 of file sortsup.hpp.

## right

int Gecode::Int::Sorted::SccComponent::right

Direct right neighbour of an y-node in a scc.

Definition at line 60 of file sortsup.hpp.

## rightmost

int Gecode::Int::Sorted::SccComponent::rightmost

Rightmost reachable y-node in a scc.

Definition at line 62 of file sortsup.hpp.

The documentation for this class was generated from the following file:

- gecode/int/sorted/sortsup.hpp